org.apache.felix.resolver

## Class ResolverImpl.Packages

- java.lang.Object
- - org.apache.felix.resolver.ResolverImpl.Packages

Enclosing class:
  ResolverImpl

    public static class ResolverImpl.Packages
    extends Object

### Field Summary

Fields
`OpenHashMap<String,org.apache.felix.resolver.ResolverImpl.Blame>` `m_exportedPkgs`
`OpenHashMap<String,List<org.apache.felix.resolver.ResolverImpl.Blame>>` `m_importedPkgs`
`OpenHashMap<String,List<org.apache.felix.resolver.ResolverImpl.Blame>>` `m_requiredPkgs`
`OpenHashMap<org.osgi.resource.Capability,Set<org.osgi.resource.Capability>>` `m_sources`
`OpenHashMap<String,org.apache.felix.resolver.ResolverImpl.Blame>` `m_substitePkgs`
`OpenHashMap<String,ArrayMap<Set<org.osgi.resource.Capability>,org.apache.felix.resolver.ResolverImpl.UsedBlames>>` `m_usedPkgs`

### Constructor Summary

Constructors
Constructor and Description
`Packages(org.osgi.resource.Resource resource)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_exportedPkgs

    public final OpenHashMap<String,org.apache.felix.resolver.ResolverImpl.Blame> m_exportedPkgs

#### m_substitePkgs

    public final OpenHashMap<String,org.apache.felix.resolver.ResolverImpl.Blame> m_substitePkgs

#### m_importedPkgs

    public final OpenHashMap<String,List<org.apache.felix.resolver.ResolverImpl.Blame>> m_importedPkgs

#### m_requiredPkgs

    public final OpenHashMap<String,List<org.apache.felix.resolver.ResolverImpl.Blame>> m_requiredPkgs

#### m_usedPkgs

    public final OpenHashMap<String,ArrayMap<Set<org.osgi.resource.Capability>,org.apache.felix.resolver.ResolverImpl.UsedBlames>> m_usedPkgs

#### m_sources

    public final OpenHashMap<org.osgi.resource.Capability,Set<org.osgi.resource.Capability>> m_sources

### Constructor Detail

#### Packages

    public Packages(org.osgi.resource.Resource resource)